Creating an entry point
curl --request POST \
--url https://api.vizito.eu/api/companies/{company_id}/entrypoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Gate 3"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Gate 3'})
};
fetch('https://api.vizito.eu/api/companies/{company_id}/entrypoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/companies/{company_id}/entrypoints"
payload = { "name": "Gate 3" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/companies/{company_id}/entrypoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Gate 3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "entry point added!",
"data": {
"_id": "5f2a1b9c4d3e2f0011223344",
"name": "Main entrance",
"company_id": "5f2a1b9c4d3e2f0011223344",
"deleted": true,
"create_date": "2023-11-07T05:31:56Z",
"mod_date": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid API key"
}Entry points
Creating an entry point
Assigning a kiosk to an entry point is done on the device, in the Backoffice.
POST
/
companies
/
{company_id}
/
entrypoints
Creating an entry point
curl --request POST \
--url https://api.vizito.eu/api/companies/{company_id}/entrypoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Gate 3"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Gate 3'})
};
fetch('https://api.vizito.eu/api/companies/{company_id}/entrypoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/companies/{company_id}/entrypoints"
payload = { "name": "Gate 3" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/companies/{company_id}/entrypoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Gate 3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "entry point added!",
"data": {
"_id": "5f2a1b9c4d3e2f0011223344",
"name": "Main entrance",
"company_id": "5f2a1b9c4d3e2f0011223344",
"deleted": true,
"create_date": "2023-11-07T05:31:56Z",
"mod_date": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid API key"
}Authorizations
An API key issued in the Backoffice, sent as Authorization: Bearer vzk_<key id>_<secret>.
A Microsoft Entra ID access token obtained with the client credentials
grant is accepted on the same header. The same value is also accepted in
an X-API-Key header.
Path Parameters
The location. A 24-character hexadecimal id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"5f2a1b9c4d3e2f0011223344"
Body
application/json
Example:
"Gate 3"

